
# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name Script : Lista_Siti_Attendibili.ps1
# Descrizione : 
# 
# Versione    : 1.0
# Requisiti   : 
# Piattaforme Verificate : Windows 7 Enterprise
#
# Modify by Giampaolo Sciutto
# Date Modify: 01/12/2017
#

$_RegKeyList1 = @()
$_RegKeyList2 = @()
$_RegKeyList3 = @()
$_RegKeyInfo  = @()


$_RegKeyList1 = $(Get-item 'HKCU:\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMapKey' -ErrorAction SilentlyContinue).property  


$_RegKeyList2 = $(Get-item 'HKLM:\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMapKey' -ErrorAction SilentlyContinue).property | Out-GridView


$_RegKeyList3 = $_RegKeyList1 + $_RegKeyList2 

Foreach($_RegValueName in $_RegKeyList3){

    $_RegValue = $(Get-ItemProperty -Path 'HKCU:\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMapKey' -Name $_RegValueName  )

    Switch($_RegValue.$_RegValueName){

         0 {$_ZoneType = 'My Computer'}
         1 {$_ZoneType = 'Local Intranet Zone'}
         2 {$_ZoneType = 'Trusted sites Zone'}
         3 {$_ZoneType = 'Internet Zone'}
         4 {$_ZoneType = 'Restricted Sites Zonet'}

    }

    $_RegKeyInfo += "$_RegValueName,$_ZoneType"

}